<?xml version="1.0" encoding="utf-8"?>

<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <import type="it.integry.integrywmsnative.core.utility.UtilityNumber" />

        <import type="java.math.BigDecimal" />

        <import type="it.integry.integrywmsnative.core.utility.UtilityBigDecimal" />

        <import type="android.view.View" />

        <variable
            name="view"
            type="it.integry.integrywmsnative.gest.pv_ordine_acquisto_edit.dialog.edit_articolo.DialogEditArticoloView" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@android:color/white">


        <androidx.appcompat.widget.Toolbar
            android:id="@+id/toolbar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="?attr/colorPrimary"
            android:minHeight="?attr/actionBarSize"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:titleTextColor="@android:color/white">


        </androidx.appcompat.widget.Toolbar>


        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="8dp"
            android:layout_marginTop="8dp"
            android:orientation="vertical"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/toolbar">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp">

                <androidx.appcompat.widget.AppCompatTextView
                    style="@style/AppTheme.NewMaterial.Dialog.DialogTitleText"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentStart="true"
                    android:layout_toStartOf="@id/unt_mis"
                    android:ellipsize="end"
                    android:text="@{view.articolo.codMart}"
                    android:textColor="@color/colorPrimary"
                    tools:text="020100514" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/unt_mis"
                    style="@style/AppTheme.NewMaterial.Dialog.DialogTitleText"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:ellipsize="end"
                    android:text="@{view.articolo.untMis}"
                    android:textColor="@color/colorPrimary"
                    tools:text="KG" />

            </RelativeLayout>


            <androidx.appcompat.widget.AppCompatTextView
                style="@style/AppTheme.NewMaterial.Dialog.DialogSubTitleText"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:ellipsize="end"
                android:text="@{view.articolo.descrizione}"
                android:textColor="@color/red_600"
                tools:text="BOSCAIOLA DI POLLO" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:visibility="@{view.articolo.newNoPromo ? View.VISIBLE : View.GONE}"
                android:orientation="horizontal">

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/bottom_sheet_actions_delete_btn"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@android:color/white"
                    android:src="@drawable/ic_baseline_new_24"
                    android:tint="@color/orange_600" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingTop="2dp"
                    android:textColor="@color/mainOrange"
                    android:text='@string/newly_inserted_prod'
                    android:textSize="16sp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="4dp"
                android:orientation="horizontal">

                <androidx.appcompat.widget.AppCompatTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/gg_scadenza"
                    android:textSize="16sp" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:text='@{String.valueOf(view.articolo.ggScadenza)}'
                    android:textSize="16sp"
                    android:textStyle="bold"
                    tools:text="5" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text='@string/days'
                    android:textSize="16sp"
                    android:layout_marginStart="4dp"
                    android:textStyle="bold"
                    tools:text="days" />

            </LinearLayout>


            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp">

                <androidx.appcompat.widget.AppCompatTextView
                    style="@style/AppTheme.NewMaterial.Text.Medium"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_toStartOf="@id/qta_ord_panel"
                    android:text="@string/giacenza"
                    android:textColor="@android:color/black" />

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/qta_ord_panel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:orientation="horizontal">

                    <androidx.appcompat.widget.AppCompatTextView
                        style="@style/AppTheme.NewMaterial.Text.Medium"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{UtilityNumber.decimalToString(view.articolo.qtaCnfGiacenza)}"
                        android:textColor="@android:color/black"
                        android:textStyle="bold"
                        tools:text="1" />

                    <androidx.appcompat.widget.AppCompatTextView
                        style="@style/AppTheme.NewMaterial.Text.Medium"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentEnd="true"
                        android:layout_marginStart="4dp"
                        android:text="@string/unt_mis_col"
                        android:textColor="@android:color/black"
                        android:textStyle="bold" />


                    <androidx.appcompat.widget.AppCompatTextView
                        style="@style/AppTheme.NewMaterial.Text.Medium"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentEnd="true"
                        android:layout_marginStart="4dp"
                        android:text="("
                        android:textColor="@android:color/black"
                        android:textStyle="bold" />

                    <androidx.appcompat.widget.AppCompatTextView
                        style="@style/AppTheme.NewMaterial.Text.Medium"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="0dp"
                        android:text="@{UtilityNumber.decimalToString(view.articolo.giacenza)}"
                        android:textColor="@android:color/black"
                        android:textStyle="bold" />

                    <androidx.appcompat.widget.AppCompatTextView
                        style="@style/AppTheme.NewMaterial.Text.Medium"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentEnd="true"
                        android:layout_marginStart="2dp"
                        android:text="@{view.articolo.untMis}"
                        android:textColor="@android:color/black"
                        android:textStyle="bold" />

                    <androidx.appcompat.widget.AppCompatTextView
                        style="@style/AppTheme.NewMaterial.Text.Medium"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentEnd="true"
                        android:layout_marginStart="0dp"
                        android:text=")"
                        android:textColor="@android:color/black"
                        android:textStyle="bold" />


                </androidx.appcompat.widget.LinearLayoutCompat>


            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp">

                <androidx.appcompat.widget.AppCompatTextView
                    style="@style/AppTheme.NewMaterial.Text.Medium"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_toStartOf="@id/incoming_cnf"
                    android:text="@string/incoming_cnf"
                    android:textColor="@android:color/black" />

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/incoming_cnf"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:orientation="horizontal">

                    <androidx.appcompat.widget.AppCompatTextView
                        style="@style/AppTheme.NewMaterial.Text.Medium"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{UtilityNumber.decimalToString(view.articolo.getCnfDaRic())}"
                        android:textColor="@android:color/black"
                        android:textStyle="bold"
                        tools:text="1" />

                    <androidx.appcompat.widget.AppCompatTextView
                        style="@style/AppTheme.NewMaterial.Text.Medium"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentEnd="true"
                        android:layout_marginStart="4dp"
                        android:text="@string/unt_mis_col"
                        android:textColor="@android:color/black"
                        android:textStyle="bold" />


                    <androidx.appcompat.widget.AppCompatTextView
                        style="@style/AppTheme.NewMaterial.Text.Medium"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentEnd="true"
                        android:layout_marginStart="4dp"
                        android:text="("
                        android:textColor="@android:color/black"
                        android:textStyle="bold" />

                    <androidx.appcompat.widget.AppCompatTextView
                        style="@style/AppTheme.NewMaterial.Text.Medium"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="0dp"
                        android:text="@{UtilityNumber.decimalToString(view.articolo.merceDaRic)}"
                        android:textColor="@android:color/black"
                        android:textStyle="bold" />

                    <androidx.appcompat.widget.AppCompatTextView
                        style="@style/AppTheme.NewMaterial.Text.Medium"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentEnd="true"
                        android:layout_marginStart="2dp"
                        android:text="@{view.articolo.untMis}"
                        android:textColor="@android:color/black"
                        android:textStyle="bold" />

                    <androidx.appcompat.widget.AppCompatTextView
                        style="@style/AppTheme.NewMaterial.Text.Medium"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentEnd="true"
                        android:layout_marginStart="0dp"
                        android:text=")"
                        android:textColor="@android:color/black"
                        android:textStyle="bold" />


                </androidx.appcompat.widget.LinearLayoutCompat>


            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:visibility="@{UtilityBigDecimal.isNullOrZero(view.articolo.ctMaxOrd) ? View.GONE : View.VISIBLE}"
                android:layout_marginTop="8dp">

                <androidx.appcompat.widget.AppCompatTextView
                    style="@style/AppTheme.NewMaterial.Text.Medium"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_toStartOf="@id/max_cnf"
                    android:text="@string/max_orderable_qty"
                    android:textColor="@android:color/black" />

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/max_cnf"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:orientation="horizontal">

                    <androidx.appcompat.widget.AppCompatTextView
                        style="@style/AppTheme.NewMaterial.Text.Medium"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{UtilityNumber.decimalToString(view.articolo.ctMaxOrd)}"
                        android:textColor="@android:color/black"
                        android:textStyle="bold"
                        tools:text="1" />

                    <androidx.appcompat.widget.AppCompatTextView
                        style="@style/AppTheme.NewMaterial.Text.Medium"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentEnd="true"
                        android:layout_marginStart="4dp"
                        android:text="@string/unt_mis_col"
                        android:textColor="@android:color/black"
                        android:textStyle="bold" />


                    <androidx.appcompat.widget.AppCompatTextView
                        style="@style/AppTheme.NewMaterial.Text.Medium"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentEnd="true"
                        android:layout_marginStart="4dp"
                        android:text="("
                        android:textColor="@android:color/black"
                        android:textStyle="bold" />

                    <androidx.appcompat.widget.AppCompatTextView
                        style="@style/AppTheme.NewMaterial.Text.Medium"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="0dp"
                        android:text="@{UtilityNumber.decimalToString(view.articolo.ctMaxOrd.multiply(BigDecimal.valueOf(view.articolo.qtaCnf)))}"
                        android:textColor="@android:color/black"
                        android:textStyle="bold" />

                    <androidx.appcompat.widget.AppCompatTextView
                        style="@style/AppTheme.NewMaterial.Text.Medium"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentEnd="true"
                        android:layout_marginStart="2dp"
                        android:text="@{view.articolo.untMis}"
                        android:textColor="@android:color/black"
                        android:textStyle="bold" />

                    <androidx.appcompat.widget.AppCompatTextView
                        style="@style/AppTheme.NewMaterial.Text.Medium"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentEnd="true"
                        android:layout_marginStart="0dp"
                        android:text=")"
                        android:textColor="@android:color/black"
                        android:textStyle="bold" />


                </androidx.appcompat.widget.LinearLayoutCompat>


            </RelativeLayout>


            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:gravity="center"
                android:orientation="horizontal"
                android:weightSum="2">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginEnd="2dp"
                    android:layout_weight="1"
                    android:background="@drawable/badge_round_corner"
                    android:backgroundTint="@color/green_600"
                    android:orientation="vertical"
                    android:padding="8dp">


                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="@string/selling_prediction"
                        android:textColor="@android:color/white" />

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:orientation="horizontal">

                        <androidx.appcompat.widget.AppCompatTextView
                            style="@style/AppTheme.NewMaterial.Text.Medium"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@{UtilityNumber.decimalToString(view.articolo.qtaCnfPrevistaVendita)}"
                            tools:text="1"
                            android:textColor="@android:color/white"
                            android:textStyle="bold" />

                        <androidx.appcompat.widget.AppCompatTextView
                            style="@style/AppTheme.NewMaterial.Text.Medium"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentEnd="true"
                            android:layout_marginStart="4dp"
                            android:text="@string/unt_mis_col"
                            android:textColor="@android:color/white"
                            android:textStyle="bold" />


                    </androidx.appcompat.widget.LinearLayoutCompat>


                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:orientation="horizontal">


                        <androidx.appcompat.widget.AppCompatTextView
                            style="@style/AppTheme.NewMaterial.Text.Small"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentEnd="true"
                            android:layout_marginStart="4dp"
                            android:text="("
                            android:textColor="@android:color/white"
                            android:textStyle="bold" />

                        <androidx.appcompat.widget.AppCompatTextView
                            style="@style/AppTheme.NewMaterial.Text.Small"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="0dp"
                            android:text="@{UtilityNumber.decimalToString(view.articolo.qtaPrevistaVendita)}"
                            android:textColor="@android:color/white"
                            android:textStyle="bold" />

                        <androidx.appcompat.widget.AppCompatTextView
                            style="@style/AppTheme.NewMaterial.Text.Small"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentEnd="true"
                            android:layout_marginStart="2dp"
                            android:text="@{view.articolo.untMis}"
                            android:textColor="@android:color/white"
                            android:textStyle="bold" />

                        <androidx.appcompat.widget.AppCompatTextView
                            style="@style/AppTheme.NewMaterial.Text.Small"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentEnd="true"
                            android:layout_marginStart="0dp"
                            android:text=")"
                            android:textColor="@android:color/white"
                            android:textStyle="bold" />

                    </androidx.appcompat.widget.LinearLayoutCompat>


                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginStart="2dp"
                    android:layout_weight="1"
                    android:background="@drawable/badge_round_corner"
                    android:backgroundTint="@color/colorPrimary"
                    android:orientation="vertical"
                    android:padding="8dp">


                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="@string/order_suggestion"
                        android:textColor="@android:color/white" />

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:orientation="horizontal">

                        <androidx.appcompat.widget.AppCompatTextView
                            style="@style/AppTheme.NewMaterial.Text.Medium"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@{UtilityNumber.decimalToString(view.articolo.qtaCnfProposta)}"
                            tools:text="1"
                            android:textColor="@android:color/white"
                            android:textStyle="bold" />

                        <androidx.appcompat.widget.AppCompatTextView
                            style="@style/AppTheme.NewMaterial.Text.Medium"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentEnd="true"
                            android:layout_marginStart="4dp"
                            android:text="@string/unt_mis_col"
                            android:textColor="@android:color/white"
                            android:textStyle="bold" />

                    </androidx.appcompat.widget.LinearLayoutCompat>


                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:orientation="horizontal">


                        <androidx.appcompat.widget.AppCompatTextView
                            style="@style/AppTheme.NewMaterial.Text.Small"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentEnd="true"
                            android:layout_marginStart="4dp"
                            android:text="("
                            android:textColor="@android:color/white"
                            android:textStyle="bold" />

                        <androidx.appcompat.widget.AppCompatTextView
                            style="@style/AppTheme.NewMaterial.Text.Small"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="0dp"
                            android:text="@{UtilityNumber.decimalToString(view.articolo.qtaProposta)}"
                            android:textColor="@android:color/white"
                            android:textStyle="bold" />

                        <androidx.appcompat.widget.AppCompatTextView
                            style="@style/AppTheme.NewMaterial.Text.Small"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentEnd="true"
                            android:layout_marginStart="2dp"
                            android:text="@{view.articolo.untMis}"
                            android:textColor="@android:color/white"
                            android:textStyle="bold" />

                        <androidx.appcompat.widget.AppCompatTextView
                            style="@style/AppTheme.NewMaterial.Text.Small"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentEnd="true"
                            android:layout_marginStart="0dp"
                            android:text=")"
                            android:textColor="@android:color/white"
                            android:textStyle="bold" />


                    </androidx.appcompat.widget.LinearLayoutCompat>

                </androidx.appcompat.widget.LinearLayoutCompat>


            </androidx.appcompat.widget.LinearLayoutCompat>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginTop="8dp"
                android:layout_marginBottom="8dp"
                android:background="@color/gray_400" />


            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:orientation="horizontal"
                android:weightSum="3">

                <com.google.android.material.textfield.TextInputLayout
                    android:id="@+id/input_num_cnf_layout"
                    style="@style/TextInputLayout.OutlinePrimary"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:focusableInTouchMode="false"
                    android:layout_weight="1">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/input_num_cnf_text"
                        style="@style/TextInputEditText.OutlinePrimary"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/num_pcks"
                        android:imeOptions="actionDone"
                        android:selectAllOnFocus="true"
                        android:inputType="number"
                        app:binding="@{view.currentNumCnf}" />

                </com.google.android.material.textfield.TextInputLayout>

                <com.google.android.material.textfield.TextInputLayout
                    android:id="@+id/input_qta_cnf_layout"
                    style="@style/TextInputLayout.OutlinePrimary"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:enabled="false"
                    android:focusableInTouchMode="false"
                    android:paddingEnd="4dp"
                    android:paddingStart="4dp">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/input_qta_cnf_text"
                        style="@style/TextInputEditText.OutlinePrimary"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/qty_x_pck"
                        android:imeOptions="actionDone"
                        android:inputType="numberDecimal"
                        app:binding="@{view.currentQtaCnf}" />

                </com.google.android.material.textfield.TextInputLayout>

                <com.google.android.material.textfield.TextInputLayout
                    android:id="@+id/input_qta_tot_layout"
                    style="@style/TextInputLayout.OutlinePrimary"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:focusableInTouchMode="false"
                    android:imeOptions="actionDone"
                    android:layout_weight="1">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/input_qta_ord"
                        style="@style/TextInputEditText.OutlinePrimary"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:digits="0123456789"
                        android:hint="@string/tot_qty"
                        android:inputType="number"
                        android:selectAllOnFocus="true"
                        app:binding="@{view.currentQtaTot}" />

                </com.google.android.material.textfield.TextInputLayout>


            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="16dp"
                android:gravity="center_horizontal"
                android:orientation="horizontal"
                android:weightSum="2">


                <com.google.android.material.button.MaterialButton
                    android:id="@+id/abort_btn"
                    style="@style/Button.DangerFull"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="4dp"
                    android:layout_marginEnd="4dp"
                    android:layout_weight="1"
                    android:onClick="@{() -> view.dismiss()}"
                    app:icon="@drawable/ic_close_24dp"
                    app:iconGravity="textStart"
                    app:layout_constraintTop_toTopOf="parent" />


                <com.google.android.material.button.MaterialButton
                    android:id="@+id/save_btn"
                    style="@style/Button.PrimaryFull"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="4dp"
                    android:layout_marginEnd="0dp"
                    android:layout_weight="1"
                    android:onClick="@{() -> view.saveAndExit()}"
                    app:icon="@drawable/ic_save_24"
                    app:iconGravity="textStart"
                    app:layout_constraintTop_toTopOf="parent" />
            </androidx.appcompat.widget.LinearLayoutCompat>

        </androidx.appcompat.widget.LinearLayoutCompat>

    </androidx.constraintlayout.widget.ConstraintLayout>

</layout>